%define grassfix 64
# %%{_bindir}/nviz is included in grass
%define _requires_exceptions nviz

Name: 		grass
Version: 	6.4.4
Release:	%mkrel 4
Group: 		Sciences/Geosciences
Summary: 	Geographic Resources Analysis Support System
License: 	GPLv2+
URL: 		http://grass.osgeo.org/
Source:		%{name}-%{version}.tar.xz
Source1:		grass.png
Patch0:    0001-grass-pkgconf.patch
# Warning: This patch contains the GRASS version number
Patch1:    0002-grass-shlib-soname.patch
Patch2:    0003-grass-docfiles.patch
# Address -Werror-format-string-security issues.
Patch3:    0004-Eliminate-Werror-format-string-security-issues.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	%{_lib}blas-devel
BuildRequires:	libpthread-stubs
BuildRequires:	libxmu-devel
BuildRequires:	lapack-devel
BuildRequires: 	png-devel 
BuildRequires:  jpeg-devel 
BuildRequires:  tiff-devel 
BuildRequires:  gd-devel >= 2.0 
BuildRequires:  freetype2-devel
BuildRequires:	cairo-devel
BuildRequires: 	MesaGLU-devel 
BuildRequires:  unixODBC-devel 
BuildRequires:  fftw-devel 
BuildRequires:  lesstif-devel
BuildRequires: 	tk tk-devel
BuildRequires:  ncurses-devel 
BuildRequires:  zlib-devel 
BuildRequires:  gdbm-devel 
BuildRequires:  readline-devel 
BuildRequires:  postgresql-devel
BuildRequires:	gcc-gfortran 
BuildRequires:  gdal-devel >= 1.2.0 
BuildRequires:  flex
BuildRequires:	swig 
BuildRequires:  bison
BuildRequires:  proj-devel proj >= 4.4.7
BuildRequires:  tcl tcl-devel
BuildRequires:  fftw-devel
BuildRequires:	cfitsio-devel
BuildRequires:	unixODBC-devel
BuildRequires:  mysql-devel
BuildRequires:	termcap-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	python-devel
BuildRequires:	libwxPythonGTK-devel
BuildRequires:	sqlite-devel
BuildRequires:	lzma %{_lib}wxgtk2.8-devel
Obsoletes:	grass57
Provides:	grass57 = %{version}-%{release}
Obsoletes: 	%{name} < %version
Requires:	wxPythonGTK
Requires:	xterm 
Requires:	tk 
Requires:	tcl

%description
GRASS (Geographic Resources Analysis Support System) is an 
open source, Free Software Geographical Information System (GIS)
with raster, topological vector, image processing, and graphics
production functionality that operates on various platforms 
through a graphical user interface and shell in X-Window.

%description -l de
GRASS (Geographic Resources Analysis Support System) ist Open Source
Free Software Geographische Informationssystem (GIS)mit Raster-, 
topologische Vektor-, Bild-Bearbeitung und Grafiken Funktionalitt. 
Das Produkt luft auf verschiedenen Plattformen mit einer grafische 
Benutzeroberflche und Shell in X-Window.

%prep
%setup -q -n %name-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Correct mysql_config query
sed -i 's|--libmysqld-libs|--libs|g' configure

# Preserve timestamp during install process
# TODO: Ticket?
sed -i 's|^cp |cp -p |' tools/build_html_index.sh
sed -i 's|-cp |-cp -p |' Makefile

# EOL wrong
sed -i -e 's|\r||g' gui/icons/%{name}/vdigit/box.xbm

%build
export LDFLAGS="$LDFLAGS -ltinfo"

%define __cputoolize true
%define Werror_cflags %nil

./configure --help


%configure2_5x --host=%{_host} \
%if "%_lib" != "lib"
	--enable-64bit \
%endif
	--with-dbm-includes=%{_includedir}/gdbm/ \
	--with-postgres \
	--with-postgres-includes='%{_includedir}/postgresql %{_includedir}/postgresql/internal' \
	--with-freetype \
	--with-freetype-includes=%{_includedir}/freetype2 \
	--with-motif \
	--with-cairo \
	--with-opengl-libs=%{_libdir} \
	--with-motif-libs=%{_libdir} \
	--with-motif-includes=%{_includedir} \
	--with-gdal  \
	--with-geos \
	--with-mysql --with-mysql-includes=%{_includedir}/mysql \
	--with-odbc \
	--enable-largefile \
	--with-curses \
	--with-python --with-wxwidgets="%{_bindir}/wx-config"\
	--with-sqlite \
	--with-cxx \
	--with-proj-share=%{_datadir}/proj \
	--with-nls \
	--with-readline

%make

%install
[ "%buildroot" != "/" ] && rm -rf "%buildroot"
mkdir -p %buildroot/%{_bindir}
#%makeinstall_std INST_DIR=%{_libdir}/grass%{grassfix}
# Actions in make install that don't take into account packaging in a place different to running:
sed -e 's|^GISBASE.*|GISBASE=%{_libdir}/grass%{grassfix}|' \
 bin.%{_target_platform}/grass%{grassfix} > %buildroot/%{_bindir}/grass%{grassfix}
chmod a+x %buildroot/usr/bin/grass%{grassfix}

mkdir -p %{buildroot}/%{_libdir}/grass%{grassfix}
cp -a dist.%{_target_platform}/* %{buildroot}/%{_libdir}/grass%{grassfix}

# Add makefiles to includes:
cp -a include/Make %{buildroot}/%{_libdir}/grass%{grassfix}/include/

# Manually archive the man pages:
lzma %buildroot/%{_libdir}/grass%{grassfix}/man/man?/*

mkdir %buildroot/%{_libdir}/grass%{grassfix}/locks/

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Grass%{grassfix}
Comment=Geographic Resources Analysis Support System
Exec=%{_bindir}/grass%{grassfix} 
Icon=%{name}
Terminal=true
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-Geosciences;Science;Geology;
EOF

mkdir -p %buildroot%_sysconfdir/ld.so.conf.d
cat > %buildroot%_sysconfdir/ld.so.conf.d/grass.conf << EOF
%_libdir/grass%{grassfix}/lib
EOF

mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps

%clean
[ "%buildroot" != "/" ] && rm -rf "%buildroot"


%pre
rm -rf %{_libdir}/grass64/tools > /dev/null 2>&1  

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README CHANGES
%attr(0755,root,root) %{_bindir}/*
%_sysconfdir/ld.so.conf.d/*
%{_libdir}/grass%{grassfix}/
%{_datadir}/applications/grass.desktop
%{_datadir}/pixmaps/grass.png
%attr(1777,root,root) %{_libdir}/grass%{grassfix}/locks


%changelog
* Sun Mar 20 2016 woodhead <pp> 6.4.4-4pclos2016
- rebuild against new gdal/proj

* Sun Oct 11 2015 pp <pp> 6.4.4-3pclos2015
- rebuild against new gdal

* Sun Mar 15 2015 bb <bb> 6.4.4-2pclos2015
- fix icon gamma setting

* Tue Mar 10 2015 pinoc <vogtpet at gmail.com> 6.4.4-1pclos2015
- 6.4.4
- added LDFLAGS
- updated BR

* Sun Jun 01 2014 pinoc <vogtpet at gmail.com> 6.4.3-3pclos2014
- rebuild against new gdal

* Fri Feb 21 2014 bb <bb> 6.4.3-2pclos2014
- fix updating when previous package installed

* Mon Feb 10 2014 pinoc <vogtpet at gmail.com> 6.4.3-2pclos2014
- 6.4.3
- removed no longer existing mesaglw-devel from BR
- added missing Requires
- built with geos-support

* Tue Dec 25 2012 Neal <nealbrks0 at gmail.com> 6.4.2-1pclos2012
- process

* Sun Oct 28 2012 MBantz <martin dot bantz at gmail dot com> 6.4.2-1
- Updated and rebuilt against updated libav
- Drop ffmpeg support until Grass is updated against ffmpeg 1.0
- Drop tk/tcl support until Grass is updated against tk/tcl 8.6

* Fri Sep 09 2011 Texstar <texstar at gmail.com> 6.4.1-2pclos2011
- rebuild

* Mon Apr 18 2011 Texstar <texstar at gmail.com> 6.4.1-1pclos2011
- 6.4.1

* Sun Sep 05 2010 Texstar <texstar at gmail.com> 6.4.0-0.RC4.5pclos2010
- rebuild for new ffmpeg


